Jailbreak iPod touch 3G 32gb ios 4.1 With snowbrezze? 1.8

Discussion in 'iPod touch' started by rudgia, Jul 18, 2010.

  1. rudgia

    rudgia New Member

    Joined:
    Nov 5, 2007
    Messages:
    22
    Likes Received:
    0
    Device:
    3G iPod touch
    Hi im wondring of i can jailbreak iPod touch 3G 32gb mc model its on 3.1.3 but new snowbrezze says it can jailbreak ios 4.1 for iPod touch 3G does it work ?
  2. Naveen121

    Naveen121 Well-Known Member

    Joined:
    Apr 9, 2010
    Messages:
    2,085
    Likes Received:
    65
    Device:
    2G iPod touch
    Sorry, but it will not work for you because your device is an MC model.

    Please Register or Log in to view images

  3. ish1tsn0w

    ish1tsn0w Member

    Joined:
    Jan 8, 2010
    Messages:
    854
    Likes Received:
    3
    Device:
    2G iPod touch
    it's tethered.
  4. Naveen121

    Naveen121 Well-Known Member

    Joined:
    Apr 9, 2010
    Messages:
    2,085
    Likes Received:
    65
    Device:
    2G iPod touch
    Are you sure? I thought that it just didn't work. Period.
  5. rudgia

    rudgia New Member

    Joined:
    Nov 5, 2007
    Messages:
    22
    Likes Received:
    0
    Device:
    3G iPod touch
  6. reddevilmaestro

    reddevilmaestro Member

    Joined:
    Jun 11, 2010
    Messages:
    181
    Likes Received:
    2
    Device:
    iPhone 4 (Black)
    nope, snowbreeze will only work on 3rd generation ipod touches which have 3.1.2 currently or 3.1.2 SHSH blobs backed up. If you are on iOS 3.1.3, jailbreak with Spirit OR wait for the iOS 4.0/4.0.1 jailbreak from comex soon.
  7. mastershotx

    mastershotx Member

    Joined:
    May 31, 2009
    Messages:
    77
    Likes Received:
    0
    Device:
    3G iPod touch
    are any of these Jailbreaks UNtethered ??
  8. Aciid dA3m0n

    Aciid dA3m0n New Member

    Joined:
    Mar 14, 2010
    Messages:
    45
    Likes Received:
    0
    Device:
    3G iPod touch
    yes spirit is untethered but does not install afc2 so you will need wifi to do anything, or wait till redsnow can support 3.1.3 OR the upcoming comex jb

Share This Page